Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2068015 - [abrt] gnome-connections: _mid_memalign(): gnome-connections killed by SIGSEGV
Summary: [abrt] gnome-connections: _mid_memalign(): gnome-connections killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-connections
Version: 36
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Felipe Borges
QA Contact:
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:eaf9e1d814a292222c9927a840a...
: 2068016 (view as bug list)
Depends On:
Blocks: F36FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2022-03-24 09:46 UTC by Kamil Páral
Modified: 2022-04-13 09:04 UTC (History)
5 users (show)

Fixed In Version: gnome-connections-42.1-1.fc36 gnome-connections-42.1.2-1.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-04-08 02:56:56 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2022-03-24 09:46 UTC, Kamil Páral
no flags Details
File: core_backtrace (deleted)
2022-03-24 09:46 UTC, Kamil Páral
no flags Details
File: cpuinfo (deleted)
2022-03-24 09:46 UTC, Kamil Páral
no flags Details
File: dso_list (deleted)
2022-03-24 09:46 UTC, Kamil Páral
no flags Details
File: environ (deleted)
2022-03-24 09:46 UTC, Kamil Páral
no flags Details
File: exploitable (deleted)
2022-03-24 09:46 UTC, Kamil Páral
no flags Details
File: limits (deleted)
2022-03-24 09:46 UTC, Kamil Páral
no flags Details
File: maps (deleted)
2022-03-24 09:46 UTC, Kamil Páral
no flags Details
File: mountinfo (deleted)
2022-03-24 09:46 UTC, Kamil Páral
no flags Details
File: open_fds (deleted)
2022-03-24 09:46 UTC, Kamil Páral
no flags Details
File: proc_pid_status (deleted)
2022-03-24 09:46 UTC, Kamil Páral
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME connections issues 95 0 None None None 2022-03-29 19:45:38 UTC

Description Kamil Páral 2022-03-24 09:46:13 UTC
Description of problem:
I simply tried to connect to an RDP server (localhost, in this case, but the same crash occurs even when connecting to other computers) and it immediately crashed.

Reproducer:
1. Either on localhost or some other F36 machine enable screen sharing in gnome-control-center (F36 so that it supports RDP).
2. Open Connections
3. Try to connect over RDP to that machine, provide credentials
4. Crash

Version-Release number of selected component:
gnome-connections-42.0-1.fc36

Additional info:
reporter:       libreport-2.17.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/dbus-:1.2-org.gnome.Connections
cmdline:        /usr/bin/gnome-connections --gapplication-service
crash_function: _mid_memalign
executable:     /usr/bin/gnome-connections
journald_cursor: s=8b6ba1c691284e9fb128272f86372632;i=8c3e;b=72514e3b889f4d7981a76ba51963d584;m=6f10b640;t=5daf380daccf1;x=c2911f2c09c76810
kernel:         5.17.0-0.rc7.116.fc36.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (2 frames)
 #0 _mid_memalign at malloc.c:3574
 #1 pointer_free at /usr/src/debug/freerdp-2.6.1-1.fc36.x86_64/libfreerdp/cache/pointer.c:54

Comment 1 Kamil Páral 2022-03-24 09:46:16 UTC
Created attachment 1868047 [details]
File: backtrace

Comment 2 Kamil Páral 2022-03-24 09:46:18 UTC
Created attachment 1868048 [details]
File: core_backtrace

Comment 3 Kamil Páral 2022-03-24 09:46:19 UTC
Created attachment 1868049 [details]
File: cpuinfo

Comment 4 Kamil Páral 2022-03-24 09:46:21 UTC
Created attachment 1868050 [details]
File: dso_list

Comment 5 Kamil Páral 2022-03-24 09:46:22 UTC
Created attachment 1868051 [details]
File: environ

Comment 6 Kamil Páral 2022-03-24 09:46:23 UTC
Created attachment 1868052 [details]
File: exploitable

Comment 7 Kamil Páral 2022-03-24 09:46:24 UTC
Created attachment 1868053 [details]
File: limits

Comment 8 Kamil Páral 2022-03-24 09:46:26 UTC
Created attachment 1868054 [details]
File: maps

Comment 9 Kamil Páral 2022-03-24 09:46:27 UTC
Created attachment 1868055 [details]
File: mountinfo

Comment 10 Kamil Páral 2022-03-24 09:46:29 UTC
Created attachment 1868056 [details]
File: open_fds

Comment 11 Kamil Páral 2022-03-24 09:46:30 UTC
Created attachment 1868057 [details]
File: proc_pid_status

Comment 12 Kamil Páral 2022-03-24 09:48:48 UTC
*** Bug 2068016 has been marked as a duplicate of this bug. ***

Comment 14 Adam Williamson 2022-03-28 14:59:24 UTC
+5 in https://pagure.io/fedora-qa/blocker-review/issue/688 , marking accepted.

Comment 15 Adam Williamson 2022-04-05 08:14:52 UTC
According to the upstream issue, updating gtk-frdp - which connections includes as a git submodule - is the fix for this: https://gitlab.gnome.org/GNOME/connections/-/commit/4f4f6aa197cfe173503c317e0886147ac6244620 . That updated it to 930d64337cc54b9887f9d61d410d734a30feb5c9 but we might want to go for the latest commit, 3a58b548133bbf243297bfa19204bc22c202545a , which fixes some other issues reported upstream as https://gitlab.gnome.org/GNOME/connections/-/issues/98 . Not sure exactly how to go about backporting a submodule update, though.

Comment 16 Fedora Update System 2022-04-05 15:11:18 UTC
FEDORA-2022-4bd1593a86 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-4bd1593a86

Comment 17 Kamil Páral 2022-04-06 10:21:05 UTC
(In reply to Fedora Update System from comment #16)
> FEDORA-2022-4bd1593a86 has been submitted as an update to Fedora 36.
> https://bodhi.fedoraproject.org/updates/FEDORA-2022-4bd1593a86

The connection crash is fixed. There are still multiple other bugs (even crashes) present, but this is an improvement. I'll file the other issues separately.

Comment 18 Fedora Update System 2022-04-06 17:54:30 UTC
FEDORA-2022-4bd1593a86 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-4bd1593a86`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-4bd1593a86

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2022-04-08 02:56:56 UTC
FEDORA-2022-4bd1593a86 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 20 Fedora Update System 2022-04-13 09:04:30 UTC
FEDORA-2022-13ed0f323e has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-13ed0f323e

Comment 21 Fedora Update System 2022-04-13 09:04:44 UTC
FEDORA-2022-13ed0f323e has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.